Opinionated Software

… we have opinions about everything!

Tuxedo 9.1 / Rolling Patch Install on Windows Server 2008 R2 —

It is well documented that the Tuxedo 9.1 install requires Windows Server 2003 SP1 compatibility mode to run successfully on later Windows server releases like 2008. Setting this against the executables is all well and good but the executable needs to be local to do that. You cannot set compatibility mode on an executable on a mapped drive. But there is a workaround:

Just wrap the installers in a batch file that includes the __COMPAT_LAYER environment variable set to WINSRV03SP1 and you are good to go e.g.

1
2
3
4
5
6
7
8
9
10
11
12
REM
REM Set Compatibility mode to Windows Server 2003 SP1
REM
SET __COMPAT_LAYER=WINSRV03SP1
REM
REM Run the Tuxedo 9.1 Install
REM
pstuxinstall.exe
REM
REM Run the Rolling Patch (RP095 in this case)
REM
R095_TUX91_I-WIN2003.exe

Enjoy.


Categorised as: Hints and Tips | Peoplesoft | PeopleTools | Tuxedo



Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.